## ros-noetic-depthai-bridge 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.10.2)  # CMake version in Ubuntu 18.04 LTS
 set (CMAKE_POSITION_INDEPENDENT_CODE ON)
 
-project(depthai_bridge VERSION 2.6.1 LANGUAGES CXX C)
+project(depthai_bridge VERSION 2.8.0 LANGUAGES CXX C)
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -38,6 +38,9 @@
   stereo_msgs
   std_msgs
   vision_msgs
+  tf2_ros
+  urdf
+  robot_state_publisher
 )
 find_package(Boost REQUIRED)
 find_package(depthai CONFIG REQUIRED)
@@ -48,12 +51,14 @@
 "src/ImgDetectionConverter.cpp"
 "src/SpatialDetectionConverter.cpp"
 "src/ImuConverter.cpp"
+"src/TFPublisher.cpp"
+"src/TrackedFeaturesConverter.cpp"
 )
 
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}
-  CATKIN_DEPENDS depthai_ros_msgs camera_info_manager roscpp sensor_msgs std_msgs vision_msgs image_transport cv_bridge stereo_msgs
+  CATKIN_DEPENDS depthai_ros_msgs camera_info_manager roscpp sensor_msgs std_msgs vision_msgs image_transport cv_bridge stereo_msgs tf2_ros urdf robot_state_publisher
 )
 
 list(APPEND DEPENDENCY_PUBLIC_LIBRARIES ${catkin_LIBRARIES})
@@ -94,10 +99,3 @@
   FILES_MATCHING PATTERN "*.hpp"
 )
 
-install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
-FILES_MATCHING PATTERN "*.launch")
-
-install(DIRECTORY
-  urdf
-  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
-)
