=== debian/changelog ===
ros-noetic-depthai-bridge (2.8.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 07 Sep 2023 14:06:58 -0000

ros-noetic-depthai-bridge (2.5.3-1focal) focal; urgency=high

  * Updated release version
  * Merge remote-tracking branch 'origin/main' into ros-release
  * Timestamp update (#129 <https://github.com/luxonis/depthai-ros/issues/129>)
    * Updated timestamp style
    * Changed Loglevel Namesapce
  * Fixed seg fault in yolo detections
  * Updated mobilenet center position
  * Fix for spatial detection for noetic (#120 <https://github.com/luxonis/depthai-ros/issues/120>)
    * moved the depthai bridge position of find package
    * Updated condition for spatial detection for ros1
    "
  * moved the depthai bridge position of find package (#115 <https://github.com/luxonis/depthai-ros/issues/115>)
  * Contributors: Sachin, Sachin Guruswamy

 -- Sachin Guruswamy <sachin@luxonis.com>  Sat, 20 Aug 2022 22:00:00 -0000

ros-noetic-depthai-bridge (2.5.2-1focal) focal; urgency=high

  * Upgraded examples
  * Fixed bugs for Noetic

 -- Sachin Guruswamy <sachin@luxonis.com>  Tue, 31 May 2022 22:00:00 -0000

ros-noetic-depthai-bridge (2.5.1-1focal) focal; urgency=high

  * Fix Build farm issues

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 19 May 2022 22:00:00 -0000

ros-noetic-depthai-bridge (2.5.0-1focal) focal; urgency=high

  * Release 2.5.0
  * add ament package:
  * created Bridge and Coverters to handle images, IMU and camera Info

 -- Sachin Guruswamy <sachin@luxonis.com>  Thu, 19 May 2022 22:00:00 -0000
