=== debian/control ===
Source: ros-noetic-depthai-bridge
Section: misc
Priority: optional
Maintainer: Sachin Guruswamy <sachin@luxonis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libopencv-dev, ros-noetic-camera-info-manager, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-depthai, ros-noetic-depthai-ros-msgs, ros-noetic-image-transport, ros-noetic-robot-state-publisher, ros-noetic-ros-environment, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2-ros, ros-noetic-urdf, ros-noetic-vision-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-depthai-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libopencv-dev, ros-noetic-camera-info-manager, ros-noetic-cv-bridge, ros-noetic-depthai, ros-noetic-depthai-ros-msgs, ros-noetic-image-transport, ros-noetic-robot-state-publisher, ros-noetic-ros-environment, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-tf2-ros, ros-noetic-urdf, ros-noetic-vision-msgs
Description: The depthai_bridge package
